###################################################
### chunk number 1: 
###################################################
#line 17 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
options(width=75)


###################################################
### chunk number 2: 
###################################################
#line 65 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
data(attitude)


###################################################
### chunk number 3: 
###################################################
#line 69 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
library(BMS)


###################################################
### chunk number 4: 
###################################################
#line 73 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att = bms(attitude, mprior = "uniform", g="UIP", user.int=F)


###################################################
### chunk number 5: 
###################################################
#line 80 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
coef(att)


###################################################
### chunk number 6: 
###################################################
#line 88 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
coef(att, std.coefs=T, order.by.pip=F, include.constant=T) 


###################################################
### chunk number 7: 
###################################################
#line 95 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
summary(att) 


###################################################
### chunk number 8: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
topmodels.bma(att)[,1:3]


###################################################
### chunk number 9: 
###################################################
#line 107 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
image(att)


###################################################
### chunk number 10: 
###################################################
#line 116 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
sum(coef(att)[,1])


###################################################
### chunk number 11: 
###################################################
#line 121 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plotModelsize(att)


###################################################
### chunk number 12: 
###################################################
#line 133 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_fixed = bms(attitude, mprior="fixed", mprior.size=2, user.int=T)


###################################################
### chunk number 13: 
###################################################
#line 140 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_pip = bms(attitude, mprior="pip", mprior.size=c(.01,.5,.5,.5,.5,.5), user.int=F)


###################################################
### chunk number 14: 
###################################################
#line 147 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plotModelsize(att_fixed) 


###################################################
### chunk number 15: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_random = bms(attitude, mprior="random", mprior.size=3, user.int=F)
plotModelsize(att_random)


###################################################
### chunk number 16:  eval=FALSE
###################################################
## #line 162 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
## plotComp(Uniform=att, Fixed=att_fixed, PIP=att_pip, Random=att_random)


###################################################
### chunk number 17: 
###################################################
#line 166 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plotComp(Uniform=att, Fixed=att_fixed, PIP=att_pip, Random=att_random, cex=2)


###################################################
### chunk number 18: 
###################################################
#line 200 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
data(datafls)
fls1 = bms(datafls, burn=50000, iter=100000, g="BRIC", mprior="uniform", nmodel=2000, mcmc="bd", user.int=F)


###################################################
### chunk number 19: 
###################################################
#line 205 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
summary(fls1)


###################################################
### chunk number 20: 
###################################################
#line 210 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plotConv(fls1)


###################################################
### chunk number 21: 
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plotConv(fls1[1:100])


###################################################
### chunk number 22: 
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
pmp.bma(fls1)[1:5,]


###################################################
### chunk number 23: 
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
colSums(pmp.bma(fls1))


###################################################
### chunk number 24: 
###################################################
#line 232 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
coef(fls1)[1:5,]


###################################################
### chunk number 25: 
###################################################
#line 236 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
coef(fls1,exact=TRUE)[1:5,]


###################################################
### chunk number 26: 
###################################################
#line 248 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fls2= bms(datafls, burn=20000, iter=50000, g="BRIC", mprior="uniform", mcmc="rev.jump", start.value=0, user.int=F)
summary(fls2)


###################################################
### chunk number 27: 
###################################################
#line 253 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fls_combi = c(fls1,fls2)
summary(fls_combi)


###################################################
### chunk number 28: 
###################################################
#line 268 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fls_g5 = bms(datafls, burn=20000, iter=50000, g=5, mprior="uniform", user.int=F)
coef(fls_g5)[1:5,]
summary(fls_g5)


###################################################
### chunk number 29: 
###################################################
#line 286 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fls_ebl = bms(datafls, burn=20000, iter=50000, g="EBL", mprior="uniform", nmodel=1000, user.int=F)
summary(fls_ebl)


###################################################
### chunk number 30: 
###################################################
#line 291 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plot(fls_ebl)


###################################################
### chunk number 31: 
###################################################
#line 299 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fls_hyper = bms(datafls, burn=20000, iter=50000, g="hyper=UIP", mprior="random", mprior.size=7, nmodel=1000, user.int=F)
summary(fls_hyper)


###################################################
### chunk number 32: 
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
gdensity(fls_hyper)


###################################################
### chunk number 33: 
###################################################
#line 310 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
image(fls_hyper)


###################################################
### chunk number 34: 
###################################################
#line 319 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
density(fls_combi,reg="Muslim")


###################################################
### chunk number 35: 
###################################################
#line 324 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
coef(fls_combi,exact=T,condi.coef=T)["Muslim",]


###################################################
### chunk number 36: 
###################################################
#line 331 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
dmuslim=density(fls_hyper,reg="Muslim",addons="Eebl")


###################################################
### chunk number 37: 
###################################################
#line 338 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
quantile(dmuslim, c(0.025, 0.975))


###################################################
### chunk number 38: 
###################################################
#line 346 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fcstbma= bms(datafls[1:70,], mprior="uniform", burn=20000, iter=50000, user.int=FALSE)

pdens = pred.density(fcstbma, newdata=datafls[71:72,])


###################################################
### chunk number 39: 
###################################################
#line 355 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plot(pdens, 2)


###################################################
### chunk number 40: 
###################################################
#line 362 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
quantile(pdens, c(0.05, 0.95))


###################################################
### chunk number 41: 
###################################################
#line 369 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
pdens$dyf(datafls[71:72,1])


###################################################
### chunk number 42: 
###################################################
#line 374 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plot(pdens, "ZM", realized.y=datafls["ZM",1])


###################################################
### chunk number 43: 
###################################################
#line 382 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
lps.bma(pdens, datafls[71:72,1])


###################################################
### chunk number 44: 
###################################################
#line 472 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
data(attitude)


###################################################
### chunk number 45: 
###################################################
#line 476 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_full = zlm(attitude,g="UIP")


###################################################
### chunk number 46: 
###################################################
#line 480 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
summary(att_full)


###################################################
### chunk number 47: 
###################################################
#line 485 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_best = as.zlm(att,model=1)
summary(att_best)


###################################################
### chunk number 48: 
###################################################
#line 492 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_bestlm = lm(model.frame(as.zlm(att)))
summary(att_bestlm)


###################################################
### chunk number 49: 
###################################################
#line 503 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
att_learn = bms(attitude,mprior="uniform", fixed.reg=c("complaints", "learning") )


###################################################
### chunk number 50: 
###################################################
#line 513 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
fls_culture = bms(datafls,fixed.reg=c(1,8:16,24,26:41), mprior="random", mprior.size=28, mcmc="enumeration", user.int=F)


###################################################
### chunk number 51: 
###################################################
#line 518 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
coef(fls_culture)[28:41, ]


###################################################
### chunk number 52: 
###################################################
#line 523 "d:/Rcompile/CRANpkg/local/2.12/BMS/inst/doc/bms.Rnw"
plotModelsize(fls_culture, ksubset=27:41)


